<?php



$tdatatb_laborartorios = array();
$tdatatb_laborartorios[".searchableFields"] = array();
$tdatatb_laborartorios[".ShortName"] = "tb_laborartorios";
$tdatatb_laborartorios[".OwnerID"] = "";
$tdatatb_laborartorios[".OriginalTable"] = "tb_laborartorios";


$tdatatb_laborartorios[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_laborartorios[".originalPagesByType"] = $tdatatb_laborartorios[".pagesByType"];
$tdatatb_laborartorios[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_laborartorios[".originalPages"] = $tdatatb_laborartorios[".pages"];
$tdatatb_laborartorios[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_laborartorios[".originalDefaultPages"] = $tdatatb_laborartorios[".defaultPages"];

//	field labels
$fieldLabelstb_laborartorios = array();
$fieldToolTipstb_laborartorios = array();
$pageTitlestb_laborartorios = array();
$placeHolderstb_laborartorios = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_laborartorios["English"] = array();
	$fieldToolTipstb_laborartorios["English"] = array();
	$placeHolderstb_laborartorios["English"] = array();
	$pageTitlestb_laborartorios["English"] = array();
	$fieldLabelstb_laborartorios["English"]["laborat_ID"] = "ID";
	$fieldToolTipstb_laborartorios["English"]["laborat_ID"] = "";
	$placeHolderstb_laborartorios["English"]["laborat_ID"] = "";
	$fieldLabelstb_laborartorios["English"]["laboratorio"] = "Laboratório ";
	$fieldToolTipstb_laborartorios["English"]["laboratorio"] = "";
	$placeHolderstb_laborartorios["English"]["laboratorio"] = "";
	$fieldLabelstb_laborartorios["English"]["fone"] = "Fone";
	$fieldToolTipstb_laborartorios["English"]["fone"] = "";
	$placeHolderstb_laborartorios["English"]["fone"] = "";
	$fieldLabelstb_laborartorios["English"]["whatsapp"] = "Whatsapp";
	$fieldToolTipstb_laborartorios["English"]["whatsapp"] = "";
	$placeHolderstb_laborartorios["English"]["whatsapp"] = "";
	$fieldLabelstb_laborartorios["English"]["email"] = "Email";
	$fieldToolTipstb_laborartorios["English"]["email"] = "";
	$placeHolderstb_laborartorios["English"]["email"] = "";
	$fieldLabelstb_laborartorios["English"]["cidade"] = "Cidade";
	$fieldToolTipstb_laborartorios["English"]["cidade"] = "";
	$placeHolderstb_laborartorios["English"]["cidade"] = "";
	$fieldLabelstb_laborartorios["English"]["bairro"] = "Bairro";
	$fieldToolTipstb_laborartorios["English"]["bairro"] = "";
	$placeHolderstb_laborartorios["English"]["bairro"] = "";
	$fieldLabelstb_laborartorios["English"]["endereco"] = "Endereço ";
	$fieldToolTipstb_laborartorios["English"]["endereco"] = "";
	$placeHolderstb_laborartorios["English"]["endereco"] = "";
	$fieldLabelstb_laborartorios["English"]["horarios"] = "Horários ";
	$fieldToolTipstb_laborartorios["English"]["horarios"] = "";
	$placeHolderstb_laborartorios["English"]["horarios"] = "";
	$pageTitlestb_laborartorios["English"]["add"] = "Laborartorios, Add new";
	if (count($fieldToolTipstb_laborartorios["English"]))
		$tdatatb_laborartorios[".isUseToolTips"] = true;
}


	$tdatatb_laborartorios[".NCSearch"] = true;



$tdatatb_laborartorios[".shortTableName"] = "tb_laborartorios";
$tdatatb_laborartorios[".nSecOptions"] = 0;

$tdatatb_laborartorios[".mainTableOwnerID"] = "";
$tdatatb_laborartorios[".entityType"] = 0;

$tdatatb_laborartorios[".strOriginalTableName"] = "tb_laborartorios";

	



$tdatatb_laborartorios[".showAddInPopup"] = false;

$tdatatb_laborartorios[".showEditInPopup"] = false;

$tdatatb_laborartorios[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_laborartorios[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_laborartorios[".listAjax"] = false;
//	temporary
$tdatatb_laborartorios[".listAjax"] = false;

	$tdatatb_laborartorios[".audit"] = false;

	$tdatatb_laborartorios[".locking"] = false;


$pages = $tdatatb_laborartorios[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_laborartorios[".edit"] = true;
	$tdatatb_laborartorios[".afterEditAction"] = 0;
	$tdatatb_laborartorios[".closePopupAfterEdit"] = 1;
	$tdatatb_laborartorios[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_laborartorios[".add"] = true;
$tdatatb_laborartorios[".afterAddAction"] = 0;
$tdatatb_laborartorios[".closePopupAfterAdd"] = 1;
$tdatatb_laborartorios[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_laborartorios[".list"] = true;
}



$tdatatb_laborartorios[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_laborartorios[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_laborartorios[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_laborartorios[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_laborartorios[".printFriendly"] = true;
}



$tdatatb_laborartorios[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_laborartorios[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_laborartorios[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_laborartorios[".isUseAjaxSuggest"] = true;

$tdatatb_laborartorios[".rowHighlite"] = true;





$tdatatb_laborartorios[".ajaxCodeSnippetAdded"] = false;

$tdatatb_laborartorios[".buttonsAdded"] = false;

$tdatatb_laborartorios[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_laborartorios[".isUseTimeForSearch"] = false;


$tdatatb_laborartorios[".badgeColor"] = "D2AF80";


$tdatatb_laborartorios[".allSearchFields"] = array();
$tdatatb_laborartorios[".filterFields"] = array();
$tdatatb_laborartorios[".requiredSearchFields"] = array();

$tdatatb_laborartorios[".googleLikeFields"] = array();
$tdatatb_laborartorios[".googleLikeFields"][] = "laborat_ID";
$tdatatb_laborartorios[".googleLikeFields"][] = "laboratorio";
$tdatatb_laborartorios[".googleLikeFields"][] = "fone";
$tdatatb_laborartorios[".googleLikeFields"][] = "whatsapp";
$tdatatb_laborartorios[".googleLikeFields"][] = "email";
$tdatatb_laborartorios[".googleLikeFields"][] = "cidade";
$tdatatb_laborartorios[".googleLikeFields"][] = "bairro";
$tdatatb_laborartorios[".googleLikeFields"][] = "endereco";
$tdatatb_laborartorios[".googleLikeFields"][] = "horarios";



$tdatatb_laborartorios[".tableType"] = "list";

$tdatatb_laborartorios[".printerPageOrientation"] = 0;
$tdatatb_laborartorios[".nPrinterPageScale"] = 100;

$tdatatb_laborartorios[".nPrinterSplitRecords"] = 40;

$tdatatb_laborartorios[".geocodingEnabled"] = false;










$tdatatb_laborartorios[".pageSize"] = 20;

$tdatatb_laborartorios[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_laborartorios[".strOrderBy"] = $tstrOrderBy;

$tdatatb_laborartorios[".orderindexes"] = array();

$tdatatb_laborartorios[".sqlHead"] = "SELECT laborat_ID,  	laboratorio,  	fone,  	whatsapp,  	email,  	cidade,  	bairro,  	endereco,  	horarios";
$tdatatb_laborartorios[".sqlFrom"] = "FROM tb_laborartorios";
$tdatatb_laborartorios[".sqlWhereExpr"] = "";
$tdatatb_laborartorios[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_laborartorios[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_laborartorios[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_laborartorios[".highlightSearchResults"] = true;

$tableKeystb_laborartorios = array();
$tableKeystb_laborartorios[] = "laborat_ID";
$tdatatb_laborartorios[".Keys"] = $tableKeystb_laborartorios;


$tdatatb_laborartorios[".hideMobileList"] = array();




//	laborat_ID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "laborat_ID";
	$fdata["GoodName"] = "laborat_ID";
	$fdata["ownerTable"] = "tb_laborartorios";
	$fdata["Label"] = GetFieldLabel("tb_laborartorios","laborat_ID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "laborat_ID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "laborat_ID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_laborartorios["laborat_ID"] = $fdata;
		$tdatatb_laborartorios[".searchableFields"][] = "laborat_ID";
//	laboratorio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "laboratorio";
	$fdata["GoodName"] = "laboratorio";
	$fdata["ownerTable"] = "tb_laborartorios";
	$fdata["Label"] = GetFieldLabel("tb_laborartorios","laboratorio");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "laboratorio";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "laboratorio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_laborartorios["laboratorio"] = $fdata;
		$tdatatb_laborartorios[".searchableFields"][] = "laboratorio";
//	fone
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "fone";
	$fdata["GoodName"] = "fone";
	$fdata["ownerTable"] = "tb_laborartorios";
	$fdata["Label"] = GetFieldLabel("tb_laborartorios","fone");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "fone";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fone";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_laborartorios["fone"] = $fdata;
		$tdatatb_laborartorios[".searchableFields"][] = "fone";
//	whatsapp
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "whatsapp";
	$fdata["GoodName"] = "whatsapp";
	$fdata["ownerTable"] = "tb_laborartorios";
	$fdata["Label"] = GetFieldLabel("tb_laborartorios","whatsapp");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "whatsapp";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "whatsapp";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_laborartorios["whatsapp"] = $fdata;
		$tdatatb_laborartorios[".searchableFields"][] = "whatsapp";
//	email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "email";
	$fdata["GoodName"] = "email";
	$fdata["ownerTable"] = "tb_laborartorios";
	$fdata["Label"] = GetFieldLabel("tb_laborartorios","email");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "email";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "email";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_laborartorios["email"] = $fdata;
		$tdatatb_laborartorios[".searchableFields"][] = "email";
//	cidade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "cidade";
	$fdata["GoodName"] = "cidade";
	$fdata["ownerTable"] = "tb_laborartorios";
	$fdata["Label"] = GetFieldLabel("tb_laborartorios","cidade");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cidade";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cidade";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_laborartorios["cidade"] = $fdata;
		$tdatatb_laborartorios[".searchableFields"][] = "cidade";
//	bairro
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "bairro";
	$fdata["GoodName"] = "bairro";
	$fdata["ownerTable"] = "tb_laborartorios";
	$fdata["Label"] = GetFieldLabel("tb_laborartorios","bairro");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "bairro";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "bairro";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_laborartorios["bairro"] = $fdata;
		$tdatatb_laborartorios[".searchableFields"][] = "bairro";
//	endereco
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "endereco";
	$fdata["GoodName"] = "endereco";
	$fdata["ownerTable"] = "tb_laborartorios";
	$fdata["Label"] = GetFieldLabel("tb_laborartorios","endereco");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "endereco";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "endereco";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_laborartorios["endereco"] = $fdata;
		$tdatatb_laborartorios[".searchableFields"][] = "endereco";
//	horarios
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "horarios";
	$fdata["GoodName"] = "horarios";
	$fdata["ownerTable"] = "tb_laborartorios";
	$fdata["Label"] = GetFieldLabel("tb_laborartorios","horarios");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "horarios";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "horarios";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_laborartorios["horarios"] = $fdata;
		$tdatatb_laborartorios[".searchableFields"][] = "horarios";


$tables_data["tb_laborartorios"]=&$tdatatb_laborartorios;
$field_labels["tb_laborartorios"] = &$fieldLabelstb_laborartorios;
$fieldToolTips["tb_laborartorios"] = &$fieldToolTipstb_laborartorios;
$placeHolders["tb_laborartorios"] = &$placeHolderstb_laborartorios;
$page_titles["tb_laborartorios"] = &$pageTitlestb_laborartorios;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_laborartorios"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_laborartorios"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_laborartorios()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "laborat_ID,  	laboratorio,  	fone,  	whatsapp,  	email,  	cidade,  	bairro,  	endereco,  	horarios";
$proto0["m_strFrom"] = "FROM tb_laborartorios";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "laborat_ID",
	"m_strTable" => "tb_laborartorios",
	"m_srcTableName" => "tb_laborartorios"
));

$proto6["m_sql"] = "laborat_ID";
$proto6["m_srcTableName"] = "tb_laborartorios";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "laboratorio",
	"m_strTable" => "tb_laborartorios",
	"m_srcTableName" => "tb_laborartorios"
));

$proto8["m_sql"] = "laboratorio";
$proto8["m_srcTableName"] = "tb_laborartorios";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "fone",
	"m_strTable" => "tb_laborartorios",
	"m_srcTableName" => "tb_laborartorios"
));

$proto10["m_sql"] = "fone";
$proto10["m_srcTableName"] = "tb_laborartorios";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "whatsapp",
	"m_strTable" => "tb_laborartorios",
	"m_srcTableName" => "tb_laborartorios"
));

$proto12["m_sql"] = "whatsapp";
$proto12["m_srcTableName"] = "tb_laborartorios";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "email",
	"m_strTable" => "tb_laborartorios",
	"m_srcTableName" => "tb_laborartorios"
));

$proto14["m_sql"] = "email";
$proto14["m_srcTableName"] = "tb_laborartorios";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "cidade",
	"m_strTable" => "tb_laborartorios",
	"m_srcTableName" => "tb_laborartorios"
));

$proto16["m_sql"] = "cidade";
$proto16["m_srcTableName"] = "tb_laborartorios";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "bairro",
	"m_strTable" => "tb_laborartorios",
	"m_srcTableName" => "tb_laborartorios"
));

$proto18["m_sql"] = "bairro";
$proto18["m_srcTableName"] = "tb_laborartorios";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "endereco",
	"m_strTable" => "tb_laborartorios",
	"m_srcTableName" => "tb_laborartorios"
));

$proto20["m_sql"] = "endereco";
$proto20["m_srcTableName"] = "tb_laborartorios";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "horarios",
	"m_strTable" => "tb_laborartorios",
	"m_srcTableName" => "tb_laborartorios"
));

$proto22["m_sql"] = "horarios";
$proto22["m_srcTableName"] = "tb_laborartorios";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "tb_laborartorios";
$proto25["m_srcTableName"] = "tb_laborartorios";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "laborat_ID";
$proto25["m_columns"][] = "laboratorio";
$proto25["m_columns"][] = "fone";
$proto25["m_columns"][] = "whatsapp";
$proto25["m_columns"][] = "email";
$proto25["m_columns"][] = "cidade";
$proto25["m_columns"][] = "bairro";
$proto25["m_columns"][] = "endereco";
$proto25["m_columns"][] = "horarios";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "tb_laborartorios";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "tb_laborartorios";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_laborartorios";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_laborartorios = createSqlQuery_tb_laborartorios();


	
		;

									

$tdatatb_laborartorios[".sqlquery"] = $queryData_tb_laborartorios;

$tableEvents["tb_laborartorios"] = new eventsBase;
$tdatatb_laborartorios[".hasEvents"] = false;

?>